﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Windows.Forms;
using NationalInstruments.DAQmx;

namespace TC01App
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnGetData_Click(object sender, EventArgs e)
        {
            Task temperatureTask = new Task();
            AIChannel myAIChannel;

            myAIChannel = temperatureTask.AIChannels.CreateThermocoupleChannel(
                "Dev1/ai0",
                "Temperature",
                0,
                100,
                AIThermocoupleType.J,
                AITemperatureUnits.DegreesC
               );

            AnalogSingleChannelReader reader = new AnalogSingleChannelReader(temperatureTask.Stream);

            double tempData = reader.ReadSingleSample();

            txtTemperature.Text = tempData.ToString("0.0");

        }
    }
}
